Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5506 - Unable to mount root fs after upgrade.
Summary: Unable to mount root fs after upgrade.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-04 19:49 UTC by Stijn Jonker
Modified: 2015-01-07 23:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-04 17:56:54 UTC


Attachments (Terms of Use)

Description Stijn Jonker 1999-10-04 19:49:15 UTC
Hello,

Tried to upgrade from 6.0 to 6.1 today.

Have a dual pII board with onboard aic78XX.

No ide. After upgrade system won't boot.

Msg from kmod about an error not be able to load
major-char-8

Then unable to mount rootfs.

Think not loading initrd. but had no time. Put back old
2.2.12 kernelby boot flop. Rebooted. worked fine until now.

------- Additional Comments From   10/07/99 08:59 -------
I had a similar problem, the upgrade changed the mount options in my
/etc/fstab file, change the mount options to defaults or add auto to
the list.  Worked for me.

Comment 1 piller 1999-10-07 13:02:59 UTC
For me the upgrade changed the mount options in /etc/fstab so the
filesystem does not automount.  Change your mount options to
"defaults" or add "auto" to the list.
Worked for me.

Comment 2 Stijn Jonker 1999-10-09 17:10:59 UTC
Hello,

I'm the one origanly opening the bug. But this isn't a case from a
changed fstab. It was a problem with not loading the adaptec driver.

On a second reboot i got a message that an adaptec scsi card was
found. a little late in my opinion ;-)

Comment 3 Jay Turner 2000-02-04 17:56:59 UTC
Am closing out this bug, as the source of the problem has been found.  Sounds
like your Adaptec card was in some weird state when the boot operation tried to
query it, and therefore it was not able to reply and the system was not able to
find your root disk.


Note You need to log in before you can comment on or make changes to this bug.